com.pivotal.gemfirexd.internal.client.net

## Class NetStatement

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetStatement

All Implemented Interfaces:
  MaterialStatement

Direct Known Subclasses:
  NetPreparedStatement

    public class NetStatement
    extends Object
    implements MaterialStatement

### Field Summary

Fields
`boolean` `qryrowsetSentOnOpnqry_`

### Method Summary

Methods
`protected void` `finalize()`
`void` `markClosedOnServer_()`
`void` `readExecuteCall_()`
`void` `readExecuteImmediate_()`
`void` `readExecuteImmediateForBatch_(String sql)`
`void` `readOpenQuery_()`
`void` `readPrepare_()`
`void` `readPrepareDescribeOutput_()`
`void` `readSetSpecialRegister_()`
`void` `readStatementID_()`
`void` `reset_()`
`void` `writeExecuteCall_(boolean outputExpected, String procedureName, Section section, int fetchSize, boolean suppressResultSets, int resultSetType, ColumnMetaData parameterMetaData, Object[] inputs)`
`void` `writeExecuteImmediate_(String sql, Section section)`
`void` `writeGetStmtUUID(Section section)`
`void` `writeOpenQuery_(Section section, int fetchSize, int resultSetType)`
`void` `writePrepare_(String sql, Section section)`
`void` `writePrepareDescribeOutput_(String sql, Section section, boolean needStatementUUID)`
`void` `writeSetSpecialRegister_(Section section, ArrayList sqlsttList)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### qryrowsetSentOnOpnqry_

    public boolean qryrowsetSentOnOpnqry_

### Method Detail

#### reset_

    public void reset_()

Specified by:
  `reset_` in interface `MaterialStatement`

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

#### writeSetSpecialRegister_

    public void writeSetSpecialRegister_(Section section,
                                ArrayList sqlsttList)
                                  throws SqlException

Specified by:
  `writeSetSpecialRegister_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readSetSpecialRegister_

    public void readSetSpecialRegister_()
                                 throws SqlException

Specified by:
  `readSetSpecialRegister_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### writeExecuteImmediate_

    public void writeExecuteImmediate_(String sql,
                              Section section)
                                throws SqlException

Specified by:
  `writeExecuteImmediate_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readExecuteImmediate_

    public void readExecuteImmediate_()
                               throws SqlException

Specified by:
  `readExecuteImmediate_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readExecuteImmediateForBatch_

    public void readExecuteImmediateForBatch_(String sql)
                                       throws SqlException

Specified by:
  `readExecuteImmediateForBatch_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### writePrepareDescribeOutput_

    public void writePrepareDescribeOutput_(String sql,
                                   Section section,
                                   boolean needStatementUUID)
                                     throws SqlException

Specified by:
  `writePrepareDescribeOutput_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readPrepareDescribeOutput_

    public void readPrepareDescribeOutput_()
                                    throws SqlException

Specified by:
  `readPrepareDescribeOutput_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### writeGetStmtUUID

    public void writeGetStmtUUID(Section section)
                          throws SqlException

Specified by:
  `writeGetStmtUUID` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readStatementID_

    public void readStatementID_()
                          throws SqlException

Specified by:
  `readStatementID_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### writeOpenQuery_

    public void writeOpenQuery_(Section section,
                       int fetchSize,
                       int resultSetType)
                         throws SqlException

Specified by:
  `writeOpenQuery_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readOpenQuery_

    public void readOpenQuery_()
                        throws SqlException

Specified by:
  `readOpenQuery_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### writeExecuteCall_

    public void writeExecuteCall_(boolean outputExpected,
                         String procedureName,
                         Section section,
                         int fetchSize,
                         boolean suppressResultSets,
                         int resultSetType,
                         ColumnMetaData parameterMetaData,
                         Object[] inputs)
                           throws SqlException

Specified by:
  `writeExecuteCall_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readExecuteCall_

    public void readExecuteCall_()
                          throws SqlException

Specified by:
  `readExecuteCall_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### writePrepare_

    public void writePrepare_(String sql,
                     Section section)
                       throws SqlException

Specified by:
  `writePrepare_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### readPrepare_

    public void readPrepare_()
                      throws SqlException

Specified by:
  `readPrepare_` in interface `MaterialStatement`
Throws:
  `SqlException`

#### markClosedOnServer_

    public void markClosedOnServer_()

Specified by:
  `markClosedOnServer_` in interface `MaterialStatement`